--- chan_sip.c.orig	2007-04-13 10:24:22.000000000 +0200
+++ chan_sip.c	2007-04-13 15:25:06.000000000 +0200
@@ -4354,30 +4354,31 @@
 	for (p = iflist; p; p = p->next) {
 		/* In pedantic, we do not want packets with bad syntax to be connected to a PVT */
 		int found = FALSE;
-		if (req->method == SIP_REGISTER)
-			found = (!strcmp(p->callid, callid));
-		else 
-			found = (!strcmp(p->callid, callid) && 
-			(!pedanticsipchecking || !tag || ast_strlen_zero(p->theirtag) || !strcmp(p->theirtag, tag))) ;
-
-		if (option_debug > 4)
-			ast_log(LOG_DEBUG, "= %s Their Call ID: %s Their Tag %s Our tag: %s\n", found ? "Found" : "No match", p->callid, p->theirtag, p->tag);
+		if (p->callid && callid) {
+			if (req->method == SIP_REGISTER)
+				found = (!strcmp(p->callid, callid));
+			else 
+				found = (!strcmp(p->callid, callid) && 
+				(!pedanticsipchecking || !tag || ast_strlen_zero(p->theirtag) || !strcmp(p->theirtag, tag))) ;
+		
+			if (option_debug > 4)
+				ast_log(LOG_DEBUG, "= %s Their Call ID: %s Their Tag %s Our tag: %s\n", found ? "Found" : "No match", p->callid, p->theirtag, p->tag);
 
-		/* If we get a new request within an existing to-tag - check the to tag as well */
-		if (pedanticsipchecking && found  && req->method != SIP_RESPONSE) {	/* SIP Request */
-			if (p->tag[0] == '\0' && totag[0]) {
-				/* We have no to tag, but they have. Wrong dialog */
-				found = FALSE;
-			} else if (totag[0]) {			/* Both have tags, compare them */
-				if (strcmp(totag, p->tag)) {
-					found = FALSE;		/* This is not our packet */
+			/* If we get a new request within an existing to-tag - check the to tag as well */
+			if (pedanticsipchecking && found  && req->method != SIP_RESPONSE) {	/* SIP Request */
+				if (p->tag[0] == '\0' && totag[0]) {
+					/* We have no to tag, but they have. Wrong dialog */
+					found = FALSE;
+				} else if (totag[0]) {			/* Both have tags, compare them */
+					if (strcmp(totag, p->tag)) {
+						found = FALSE;		/* This is not our packet */
+					}
 				}
+				if (!found && option_debug > 4)
+					ast_log(LOG_DEBUG, "= Being pedantic: This is not our match on request: Call ID: %s Ourtag <null> Totag %s Method %s\n", p->callid, totag, sip_methods[req->method].text);
 			}
-			if (!found && option_debug > 4)
-				ast_log(LOG_DEBUG, "= Being pedantic: This is not our match on request: Call ID: %s Ourtag <null> Totag %s Method %s\n", p->callid, totag, sip_methods[req->method].text);
 		}
 
-
 		if (found) {
 			/* Found the call */
 			ast_mutex_lock(&p->lock);
